com.amazon.redshift.jdbc

## Class MetadataAPIPostProcessing

- java.lang.Object
- - com.amazon.redshift.jdbc.MetadataAPIHelper
  - - com.amazon.redshift.jdbc.MetadataAPIPostProcessing

    public class MetadataAPIPostProcessing
    extends MetadataAPIHelper

### Nested Class Summary

### Nested classes/interfaces inherited from class com.amazon.redshift.jdbc.MetadataAPIHelper

`MetadataAPIHelper.enumFunc<T extends Enum<T>>, MetadataAPIHelper.GetCatalogs_Metadata, MetadataAPIHelper.GetColumns_Metadata, MetadataAPIHelper.GetSchemas_Metadata, MetadataAPIHelper.GetTables_Metadata`

### Field Summary

Fields
`protected RedshiftConnectionImpl` `connection`

### Fields inherited from class com.amazon.redshift.jdbc.MetadataAPIHelper

`GET_CATALOGS_COLS, GET_COLUMNS_COLS, GET_SCHEMAS_COLS, GET_TABLES_COLS, prepare_QUOTE_IDENT, prepare_QUOTE_LITERAL, QUOTE_IDENT_parameter_index, QUOTE_IDENT_result_col_index, QUOTE_LITERAL_parameter_index, QUOTE_LITERAL_result_col_index, SHOW_COLUMNS_CHARACTER_MAXIMUM_LENGTH, SHOW_COLUMNS_COLUMN_DEFAULT, SHOW_COLUMNS_COLUMN_NAME, SHOW_COLUMNS_DATA_TYPE, SHOW_COLUMNS_DATABASE_NAME, SHOW_COLUMNS_IS_NULLABLE, SHOW_COLUMNS_NUMERIC_PRECISION, SHOW_COLUMNS_NUMERIC_SCALE, SHOW_COLUMNS_ORDINAL_POSITION, SHOW_COLUMNS_REMARKS, SHOW_COLUMNS_SCHEMA_NAME, SHOW_COLUMNS_TABLE_NAME, SHOW_DATABASES_DATABASE_NAME, SHOW_SCHEMAS_DATABASE_NAME, SHOW_SCHEMAS_SCHEMA_NAME, SHOW_TABLES_DATABASE_NAME, SHOW_TABLES_REMARKS, SHOW_TABLES_SCHEMA_NAME, SHOW_TABLES_TABLE_NAME, SHOW_TABLES_TABLE_TYPE, SQL_PREP_SHOWCOLUMNS, SQL_PREP_SHOWDATABASES, SQL_PREP_SHOWDATABASESLIKE, SQL_PREP_SHOWSCHEMAS, SQL_PREP_SHOWSCHEMASLIKE, SQL_PREP_SHOWTABLES, SQL_SHOWCOLUMNS, SQL_SHOWCOLUMNSLIKE, SQL_SHOWDATABASES, SQL_SHOWDATABASESLIKE, SQL_SHOWSCHEMAS, SQL_SHOWSCHEMASLIKE, SQL_SHOWTABLES, SQL_SHOWTABLESLIKE`

### Constructor Summary

Constructors
Constructor and Description
`MetadataAPIPostProcessing(RedshiftConnectionImpl connection)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected ResultSet` `getCatalogsPostProcessing(ResultSet serverRs)`
`protected ResultSet` `getColumnsPostProcessing(List<ResultSet> serverRs, boolean retEmpty)`
`protected ResultSet` `getSchemasPostProcessing(List<ResultSet> serverRs, boolean retEmpty)`
`protected ResultSet` `getTablesPostProcessing(List<ResultSet> serverRs, boolean retEmpty, String[] types)`

### Methods inherited from class com.amazon.redshift.jdbc.MetadataAPIHelper

`createEmptyRs, createMetaDataPreparedStatement, createMetaDataStatement, createNullRs, createRs, encodeStr, getAutoIncrement, getColumnSize, getDecimalDigit, getEmptyTuple, getEmptyTupleList, getField, getNullable, getNullTuple, getNullTupleList, getNumPrefixRadix, getRSType, getSQLType, runQuery`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### connection

    protected final RedshiftConnectionImpl connection

### Constructor Detail

#### MetadataAPIPostProcessing

    public MetadataAPIPostProcessing(RedshiftConnectionImpl connection)

### Method Detail

#### getCatalogsPostProcessing

    protected ResultSet getCatalogsPostProcessing(ResultSet serverRs)
                                           throws SQLException

Throws:
  `SQLException`

#### getSchemasPostProcessing

    protected ResultSet getSchemasPostProcessing(List<ResultSet> serverRs,
                                                 boolean retEmpty)
                                          throws SQLException

Throws:
  `SQLException`

#### getTablesPostProcessing

    protected ResultSet getTablesPostProcessing(List<ResultSet> serverRs,
                                                boolean retEmpty,
                                                String[] types)
                                         throws SQLException

Throws:
  `SQLException`

#### getColumnsPostProcessing

    protected ResultSet getColumnsPostProcessing(List<ResultSet> serverRs,
                                                 boolean retEmpty)
                                          throws SQLException

Throws:
  `SQLException`